<?php
// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

// Show whatsapp chat button in frontend
function EZ_show_profile_button() {
    $post_id = get_the_ID();
    $button_status = intval(get_option('EZ_button_status'));
    $button_hide_status = intval(get_post_meta($post_id, '_EZ_button_hide_status', true));
    if ($button_status === 1 && $button_hide_status !== 1 && !is_admin()){
        // Initialize variables
        $eztap_profile = get_option('EZ_profile_link');
        
        $button_text = get_option('EZ_button_text');
        $button_target = get_option('EZ_button_target');
		$button_position = get_option('EZ_button_position');
        $button_z_index = intval(get_option('EZ_button_z_index'));
        $desktop_link_type = get_option('EZ_desktop_link_type');
        $desktop_bottom_margin = intval(get_option('EZ_desktop_bottom_margin'));
        $tablet_bottom_margin = intval(get_option('EZ_tablet_bottom_margin'));
        $mobile_bottom_margin = intval(get_option('EZ_mobile_bottom_margin'));
        
        $profile_url = 'https://app.eztap.in/profile?' . $eztap_profile; 
        ?>
        

        <!-- BEGIN EZTAP Profile Button Plugin -->
        <style>
            #eztap-profile-button--container {
                position: fixed;
                bottom: <?php echo esc_attr($desktop_bottom_margin); ?>px;
                <?php echo esc_attr($button_position); ?>: 20px;
                z-index: <?php echo !empty($button_z_index)?esc_attr($button_z_index):'999999999'; ?>;
            }
            #eztap-profile-button--button {
                display: block;
                position: relative;
                text-decoration: none;
                width: 60px;
                height: 60px;
                border-radius: 50%;
                -webkit-transition: all 0.2s ease-in-out;
                transition: all 0.2s ease-in-out;
                -webkit-transform: scale(1);
                transform: scale(1);
                box-shadow: 0 6px 8px 2px rgba(0, 0, 0, .15);
                background: url("https://eztap.in/wp-content/uploads/2022/01/ez-tap.png") center/44px 44px no-repeat #ffffff;
            }
            #eztap-profile-button--text {
                display: <?php echo esc_attr($button_text)?'block':'none'; ?>;
                position: absolute;
                width: max-content;
                background-color: #fff;
                bottom: 15px;
                <?php echo esc_attr($button_position); ?>: 70px;
                border-radius: 5px;
                padding: 5px 10px;
                color: #000;
                font-size: 13px;
                font-weight: 700;
                letter-spacing: -0.03em;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                word-break: keep-all;
                line-height: 1em;
                text-overflow: ellipsis;
                vertical-align: middle;
                box-shadow: 0 6px 8px 2px rgba(0, 0, 0, .15);
            }
            #eztap-profile-button--button:before {
                content: "";
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                border-radius: 50%;
                -webkit-animation: scb-shockwave-animation 2s 5.3s ease-out infinite;
                animation: scb-shockwave-animation 2s 5.3s ease-out infinite;
                z-index: -1;
            }
            #eztap-profile-button--button:hover {
                -webkit-transform: scale(1.06);
                transform: scale(1.06);
                -webkit-transition: all 0.2s ease-in-out;
                transition: all 0.2s ease-in-out;
            }
            @media only screen and (max-width: 1024px) {
                #eztap-profile-button--container {
                    bottom: <?php echo esc_attr($tablet_bottom_margin); ?>px;
                }
            }

            @media only screen and (max-width: 768px) {
                #eztap-profile-button--container {
                    bottom: <?php echo esc_attr($mobile_bottom_margin); ?>px;
                }
            }
            @-webkit-keyframes scb-shockwave-animation {
                0% {
                    -webkit-transform: scale(1);
                    transform: scale(1);
                    box-shadow: 0 0 2px rgba(0, 100, 0, .5), inset 0 0 1px rgba(0, 100, 0, .5);
                }
                95% {
                    box-shadow: 0 0 50px transparent, inset 0 0 30px transparent;
                }
                100% {
                    -webkit-transform: scale(1.2);
                    transform: scale(1.2);
                }
            }
            @keyframes scb-shockwave-animation {
                0% {
                    -webkit-transform: scale(1);
                    transform: scale(1);
                    box-shadow: 0 0 2px rgba(0, 100, 0, .5), inset 0 0 1px rgba(0, 100, 0, .5);
                }
                95% {
                    box-shadow: 0 0 50px transparent, inset 0 0 30px transparent;
                }
                100% {
                    -webkit-transform: scale(1.2);
                    transform: scale(1.2);
                }
            }
        </style>
        <div id="eztap-profile-button--container">
            <a id="eztap-profile-button--button" href="<?php echo esc_attr($profile_url); ?>" target="<?php echo esc_attr($button_target); ?>" rel="nofollow" aria-label="WhatsApp Chat Button" ></a>
            <span id="eztap-profile-button--text"><?php echo esc_attr($button_text); ?></span>
        </div>
        <!-- END EZTAP Profile Button Plugin -->

    <?php }
}
add_action('wp_footer', 'EZ_show_profile_button');